Bug 1798639 - baremetal: IPv6 add dhcp-duid to NetworkManager config
Summary: baremetal: IPv6 add dhcp-duid to NetworkManager config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.z
Assignee: Steven Hardy
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On: 1798637
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-05 17:40 UTC by Steven Hardy
Modified: 2020-03-10 23:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1798637
Environment:
Last Closed: 2020-03-10 23:53:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1441 None closed Bug 1798639: [release-4.3] baremetal: IPv6 add dhcp-duid to NetworkManager config 2020-03-04 21:13:13 UTC
Red Hat Product Errata RHBA-2020:0676 None None None 2020-03-10 23:53:43 UTC

Description Steven Hardy 2020-02-05 17:40:53 UTC
+++ This bug was initially created as a clone of Bug #1798637 +++

Description of problem:

Adding ipv6.dhcp-duid=ll means we get a predictable
client ID so that reservations can be made on the
DHCP server - this is useful if you want to provide
the hostname via DHCP (although a reverse DNS lookup
should also work)

Reservations are also required to ensure the controlplane
IP of the masters won't ever change post-deployment
which will be necessary if the DNS lookup approach
is taken to set the hostnames.

- What I did

Updated the NetworkManager configuration, only for the baremetal (IPI) platform, so we specify the ipv6.dhcp-duid=ll option. This enables a predictable (mac derived) client ID/DUID when deploying in an IPv6 environment.

- How to verify it

If testing with dev-scripts you can check via virsh net-dhcp-leases baremetal - on baremetal you can check the client ID in the lease for the nic connected to the controlplane network (/var/lib/NetworkManager/dhclient6*.lease)

In both cases the controlplane network must be configured for single-stack ipv6, and there are some other PRs open to enable that e2e with the default OpenShift builds. openshift-metal3/dev-scripts#871 has some more details.

- Description for the changelog

Updated the NetworkManager configuration, for the baremetal (IPI) platform to specify the ipv6.dhcp-duid=ll option. This enables a predictable (mac derived) client ID/DUID.

Comment 7 errata-xmlrpc 2020-03-10 23:53:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0676


Note You need to log in before you can comment on or make changes to this bug.